#
# spec file for package arptables (Version 0.0.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Url:            http://ebtables.sourceforge.net/
URL:		https://admin.fedoraproject.org/pkgdb/acls/name/arptables_jf

Name:           arptables_jf
Version:        0.0.8
Release:        6.4
License:        GPLv2+
Group:          Productivity/Networking/Security
Summary:        User Space Tool to Set Up and Maintain ARP Filtering Tables
%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq
%endif
Source0:        %name-%version.tbz
Patch1:         %name-%version-2.6-kernel.patch
Patch2:         %name-%version-man.patch
Patch3:         %name-%version-warnings.patch
Patch4:         %name-%version-header.patch
Patch5:         %name-%version-no-script.patch
Patch6:         %name-%version-fclose.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  coreutils perl

%description
arptables is a user space tool used to set up and maintain thetables of
ARP rules in the Linux kernel. These rules inspect the ARPframes.
arptables is similar to the iptables userspace tool, but less
complicated.



Authors:
--------
    Jay Fenlason <fenlason@redhat.com>
    and others

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -W -Wall"
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} all LIBDIR=/%{_lib}

%install
make install DESTDIR=%{buildroot} LIBDIR=/%{_lib}

%files
%defattr(-,root,root)
/sbin/arptables*
%{_mandir}/*/arptables*

%changelog
* Wed May 26 2010 jengelh@medozas.de
- Fix compilation after package rename (%%{name}_jf -> %%name)
* Sat Dec 19 2009 jengelh@medozas.de
- Enable parallel build
* Mon Sep  7 2009 mt@suse.de
- Fixed to close opened files (bnc#518204).
* Tue Jan 13 2009 mt@suse.de
- Added symlink to the GPL-2.0.txt license file (bnc#424589).
* Fri Sep  5 2008 mt@suse.de
- Initial arptables_jf-0.0.8 package (fate#303394).
